#version 430 core

in vec2 uv;

out vec4 color;

uniform sampler2D screenTexture;

uniform bool blurHorizontal;
// https://learnopengl.com/Advanced-Lighting/Bloom
uniform float weight[5] = float[] (0.227027, 0.1945946, 0.1216216, 0.054054, 0.016216);

void main() {
	vec2 texelSize = 1.0 / textureSize(screenTexture, 0);
	vec3 result = texture(screenTexture, uv).rgb * weight[0];
	if (blurHorizontal) {
		for (int i = 1; i < 5; i++) {
			result += texture(screenTexture, uv + vec2(texelSize.x * i, 0)).rgb * weight[i];
			result += texture(screenTexture, uv - vec2(texelSize.x * i, 0)).rgb * weight[i];
		}
	} else {
		for (int i = 1; i < 5; i++) {
			result += texture(screenTexture, uv + vec2(0, texelSize.y * i)).rgb * weight[i];
			result += texture(screenTexture, uv - vec2(0, texelSize.y * i)).rgb * weight[i];
		}
	}
	color = vec4(result, 1);

	//color = texture(screenTexture, uv);
}

